readme.R

The following files are distributed to replicate the empirical work
in the paper "Inference in Threshold Models" by Bruce E. Hansen.
If you have questions, contact me at 

Bruce E. Hansen
Department of Economics
Social Science Building
University of Wisconsin
Madison, WI 53706-1393
behansen@wisc.edu
http://www.ssc.wisc.edu/~bhansen/


The files being distributed here are

LHMC.dat -- Citibase data file.

LHMU.dat -- Citibase data file. 

tar.R -- R procedure to replicate the empirical work.

thr_est.R -- R procedure to compute estimates and confidence intervals 
             for threshold models.

test.R -- R procedure to test for threshold effects in autoregressive models.

thr_test.R -- R procedure to compute a test for a threshold in linear regression
              under homoskedasticity.

thr_het.R -- R procedure to compute a test for a threshold in linear regression
             allowing for heteroskedasticity. 

